<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPartyFacilityPurposeLabel" jhiTranslate="mpmApp.partyFacilityPurpose.home.createOrEditLabel">Create or edit a Party Facility Purpose</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!partyFacilityPurpose.idPartyFacility">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="partyFacilityPurpose.idPartyFacility" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.partyFacilityPurpose.dateFrom" for="field_dateFrom">Date From</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="partyFacilityPurpose.dateFrom"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.partyFacilityPurpose.dateThru" for="field_dateThru">Date Thru</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="partyFacilityPurpose.dateThru"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>

                <div class="form-group" *ngIf="idOrganization === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.partyFacilityPurpose.organization" for="field_organization">Organization</label>
                    <select class="form-control" id="field_organization" name="organization" [(ngModel)]="partyFacilityPurpose.organizationId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="organizationOption.idParty" *ngFor="let organizationOption of organizations; trackBy: trackOrganizationById">{{organizationOption.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idFacility === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.partyFacilityPurpose.facility" for="field_facility">Facility</label>
                    <select class="form-control" id="field_facility" name="facility" [(ngModel)]="partyFacilityPurpose.facilityId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idPurposeType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.partyFacilityPurpose.purposeType" for="field_purposeType">Purpose Type</label>
                    <select class="form-control" id="field_purposeType" name="purposeType" [(ngModel)]="partyFacilityPurpose.purposeTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="purposeTypeOption.idPurposeType" *ngFor="let purposeTypeOption of purposetypes; trackBy: trackPurposeTypeById">{{purposeTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
